对口型
Last updated: Nov 4, 2026
POST
为视频生成对口型。音频来源三选一:audio_url,或 lip_sync_tts_speaker_id + lip_sync_tts_content,或 audio_file。视频来源二选一:source_video_url 或 video_media_id。
返回 任务 ID,可通过 任务详情接口查询状态。
说明
lip_sync_tts_speaker_id 取值
| ID | 音色 | ID | 音色 |
|---|---|---|---|
Auto | 随机 | 18 | 豫语汉子 |
14 | 呆萌王小拍 | 19 | 宝岛囡囡 |
6 | 李解 | 20 | 陕西掌柜 |
13 | 钱多多 | 21 | 港风阿sir |
2 | 詹有鱼 | 22 | ads_promale |
4 | 外国阿利 | 23 | ads_youngmale |
12 | 李杰克 | 24 | ads_gracefemale |
11 | 老森 | 25 | ads_jiangchuan_male |
10 | 姜姜好 | 26 | ads_panpan_female |
16 | 屯里大嗓 | 28 | ads_zhouyun_female |
使用 TE 北京地域 API Key 鉴权。模型能力、调用约定见 PixVerse 接口概览。
BearerAuthheader
AuthorizationBearer <token>TE 北京地域 API Key,填写后自动添加 Bearer 前缀。
application/json- body
audio_url?string音频 URL
lip_sync_tts_speaker_id?string预设音色 ID,见下表
lip_sync_tts_content?stringTTS 文本
audio_file?stringBase64 音频,不带前缀
source_video_url?string视频 URL
video_media_id?string视频媒资 ID,mda- 开头
成功;具体状态及结果见响应字段。
application/json- response
taskId?string任务 ID
requestId?string请求 ID,用于排查
code?string错误码,异常时返回
message?string错误信息,异常时返回
curl -X POST 'https://vod.bj.baidubce.com/v3/aigc/pv/video/lip_sync/generate' \ -H 'Content-Type: application/json' \ -d '{ "audio_url": "https://example.com/audio.mp3", "source_video_url": "https://example.com/video.mp4"}'Example Response200
{ "taskId": "tsk-xxxxxxxxxxxxxxxx", "requestId": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx"}
